FROM alibabadragonwell/dragonwell:17-anolis

WORKDIR /sky-gateway

ARG JAR_FILE=target/sky-gateway.jar

COPY ${JAR_FILE} app.jar

EXPOSE 9999

ENV TZ=Asia/Shanghai JAVA_OPTS="-Xms128m -Xmx256m -Djava.security.egd=file:/dev/./urandom"

ENV LANG=C.UTF-8
ENV LC_ALL=C.UTF-8

CMD sleep 60; java $JAVA_OPTS -jar app.jar
